Grand Master Aldenia:
The sword of ritual is a token given to those who have passed the Test of the Human Knight. The one who receives the sword has earned the right to become a Knight. High-ranking Knights of the order have been entrusted with the care of the sword of ritual for generations. Until recently, Sir Collin Windawood cared for the sword, but when he was appointed governor of Talking Island, it was put in the care of Sir Klaus Vasper. You should go see him. Sir Vasper will be near the fighter guild in the village of Gludin and it won't be difficult to find him when you are there. You must keep going west, but it is so far that it is faster to use a Gatekeeper. You can change profession to Human Knight if you pass his test and bring back the sword of ritual.
Return